org.icefaces.ace.component.dataexporter

## Class ExcelExporter

- java.lang.Object
- - org.icefaces.ace.component.dataexporter.Exporter
  - - org.icefaces.ace.component.dataexporter.ExcelExporter

-     public class ExcelExporter
      extends Exporter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `Exporter.ColumnType, Exporter.SpanningColumn, Exporter.SpanningRow, Exporter.SpanningRows`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `encodingType, excludeColumns, expandedOnly, filename, HTML_TAG_PATTERN, includeFooters, includeHeaders, logger, pageOnly, pdfFont, postProcessor, preProcessor, selectedRowsOnly, spanningFooterRows, spanningRows, userColumnOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addColumnValue(org.apache.poi.ss.usermodel.Row rowHeader, java.util.List<javax.faces.component.UIComponent> components, int index)`
    `protected void` | `addColumnValue(org.apache.poi.ss.usermodel.Row rowHeader, javax.faces.component.UIComponent component, int index)`
    `protected void` | `addFacetColumns(org.apache.poi.ss.usermodel.Sheet sheet, java.util.List<javax.faces.component.UIColumn> columns, Exporter.ColumnType columnType, int rowIndex)`
    `java.lang.String` | `export(javax.faces.context.FacesContext facesContext, DataExporter component, DataTable table)`
    `protected int` | `exportChildRows(javax.faces.context.FacesContext context, TreeDataModel rootModel, RowStateMap rowStateMap, DataTable table, java.util.List<javax.faces.component.UIColumn> columns, java.lang.String rootIndex, org.apache.poi.ss.usermodel.Sheet sheet, int sheetRowIndex, int numberOfColumns)`
    `protected void` | `exportConditionalRow(Row r, org.apache.poi.ss.usermodel.Row row)`

    - ### Methods inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `determineHeaderColumnOrdering, exportChildRowValues, exportConditionalRowValues, exportValue, getColumnGroupFooter, getColumnGroupHeader, getColumnsToExport, getFooterRowColumnsToExport, getRowColumnsToExport, getRows, getRows, hasColumnFooter, registerResource, resolveExcludedColumnIndexes, setUp, shouldExcludeFromExport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExcelExporter

          public ExcelExporter()

  - ### Method Detail

    - #### export

          public java.lang.String export(javax.faces.context.FacesContext facesContext,
                                         DataExporter component,
                                         DataTable table)
                                  throws java.io.IOException

      Specified by:
        `export` in class `Exporter`
      Throws:
        `java.io.IOException`

    - #### exportChildRows

          protected int exportChildRows(javax.faces.context.FacesContext context,
                                        TreeDataModel rootModel,
                                        RowStateMap rowStateMap,
                                        DataTable table,
                                        java.util.List<javax.faces.component.UIColumn> columns,
                                        java.lang.String rootIndex,
                                        org.apache.poi.ss.usermodel.Sheet sheet,
                                        int sheetRowIndex,
                                        int numberOfColumns)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### exportConditionalRow

          protected void exportConditionalRow(Row r,
                                              org.apache.poi.ss.usermodel.Row row)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addFacetColumns

          protected void addFacetColumns(org.apache.poi.ss.usermodel.Sheet sheet,
                                         java.util.List<javax.faces.component.UIColumn> columns,
                                         Exporter.ColumnType columnType,
                                         int rowIndex)

    - #### addColumnValue

          protected void addColumnValue(org.apache.poi.ss.usermodel.Row rowHeader,
                                        javax.faces.component.UIComponent component,
                                        int index)

    - #### addColumnValue

          protected void addColumnValue(org.apache.poi.ss.usermodel.Row rowHeader,
                                        java.util.List<javax.faces.component.UIComponent> components,
                                        int index)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.